Linuxový portál - novinky ze světa Linux - Unix

Vytisknout

Ruby 1.9.3 aktualizace řeší problém zabezpečení v Rubygems

Napsal SvenHassel. Zařazeno v Novinky

ruby-logoVývojový tým Ruby oznámil aktualizace Ruby 1.9.3 své open source programovacího jazyka, jež opravuje bezpečnostní chybu nalezenou v Rubygems. Servisní verze skriptovacího jazyka označená jako 1.9.3-p194 řeší uzavření chyby v Rubygems, která způsobovala SSL selhání serveru při ověřování vzdáleného uložiště. Toto bylo řešeno tím, že zamítne přesměrování z http na https a umožní ověření certifikátů serveru SSL v aktualizované verzi Rubygems. Další informace o aktualizaci, včetně úplného seznamu oprav chyb, lze nalézt v oficiálním oznámení a v change logu. Ruby 1.9.3-p194 je k dispozici ke stažení z webových stránek a je šířen pod licencí GPL a Ruby.

Joomla SEF URLs by Artio